Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0011047Dwarf FortressTechnical -- Generalpublic2019-03-02 20:112019-03-09 08:22
ReporterLordBSD 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusnewResolutionopen 
PlatformLinuxOSArch LinuxOS Version4.20.13
Product Version0.44.12 
Target VersionFixed in Version 
Summary0011047: Linux: Enabling arb_sync causes crash
DescriptionI am unable to enable ARB_SYNC like I can on windows, or it immediately crashes to desktop. How can I help you with this further so I can use it? Also I can deal with that as a lot of people seem to have problems with it so much so that the norm is to "accept" it not working, but this one is really annoying. I have searched for both the issue I told you about as well as this one and found nothing, I also tweaked a lot of settings in init.txt to no avail. Very often when I press escape to pause, when I press it again to go back to the game, I get a black screen with only a very small part of the screen/game showing in usually a randomly placed rectangle. I can move around the screen and see the small part updating but the rest is black. The only "solution" is to repeatedly press escape back and forth sometimes a dozen times until the screen shows me the game like its supposed to. Fwiw, this is an nvidia RTX 2060 Please help this had quickly become my favorite game even though I purchased literally hundreds on itch and steam this is all I play. But i upgraded my video card now and I cant play. I would like to get back in the swing of things. Thank you all for your amazing work. I plan on finding and submitting bugs to help you guys out and do what I can to give back.
Steps To Reproduce1 enable arb_sync.

2 the other bug seems to be random.
Additional Informationnone i can think of
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0039262)
LordBSD (reporter)
2019-03-02 20:31
edited on: 2019-03-02 20:32

Oh I almost forgot. I like to leave my colonies running overnight sometimes, but it seems after this card upgrade if i even step away for 30 minutes to an hour, it freezes solid. The only way out is to alt tab out of X and kill the process. Its very unstable. I should also mention the driver i am using is extra/nvidia 418.43-4 [installed] Thanks! I am very capable if you want to send me your ideas. I also tried to disable DPMS (screen blanking) but it made no difference.

(0039265)
LordBSD (reporter)
2019-03-03 14:37

*UPDATE. I resolved the second issue by setting FPS_CAP and G_FPS_CAP both to "0" I don't fully understand the science behind it, but it fixed my second problem. The first problem still exists and I would love it if someone could help me with it. I seriously doubt a newest flagship nvidia card doesnt support arb_sync
(0039267)
Loci (manager)
2019-03-03 14:59

Enabling arb_sync is not necessary; it's an optimization. You should be able to play without arb_sync enabled.


http://www.bay12forums.com/smf/index.php?topic=129535.0 [^]
(0039269)
LordBSD (reporter)
2019-03-03 15:28

Hi thanks for taking the time to respond to my post. I agree, I fixed the problem I had where I couldn't play yes, and I can at least play now. I am also aware that ARB_SYNC is an optimization and thats why I would like to get it to work. I had read that thread you sent in my own prior searches. Its just one of several out there where people just give up and accept the fact it "doesn't work" leaving it disabled. I am not one to give up that easily and would like to investigate further. Do you know where I should start looking? A log file maybe? Thanks!
(0039278)
Loci (manager)
2019-03-09 08:22

You would, perhaps, have better luck asking in the forums.

- Issue History
Date Modified Username Field Change
2019-03-02 20:11 LordBSD New Issue
2019-03-02 20:31 LordBSD Note Added: 0039262
2019-03-02 20:32 LordBSD Note Edited: 0039262 View Revisions
2019-03-03 14:37 LordBSD Note Added: 0039265
2019-03-03 14:59 Loci Note Added: 0039267
2019-03-03 14:59 Loci Severity crash => minor
2019-03-03 14:59 Loci Summary Two things. => Linux: Enabling arb_sync causes crash
2019-03-03 15:28 LordBSD Note Added: 0039269
2019-03-09 08:22 Loci Note Added: 0039278


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker